Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can you auto generate an assembly?

1 REPLY 1
SOLVED
Reply
Message 1 of 2
ben.jakeman
312 Views, 1 Reply

Can you auto generate an assembly?

ben.jakeman
Explorer
Explorer

I am relatively new to Inventor and I am incredibly curious about its possibilities.

Can I write ILogic to create an assembly, prompt a user for X number of components, then place components correlating to X, and finally constraining them to a specified template? With the things I've seen since I've started using Inventor it seems like this is a possibility. Is Inventor that powerful?

Thank you! 

0 Likes

Can you auto generate an assembly?

I am relatively new to Inventor and I am incredibly curious about its possibilities.

Can I write ILogic to create an assembly, prompt a user for X number of components, then place components correlating to X, and finally constraining them to a specified template? With the things I've seen since I've started using Inventor it seems like this is a possibility. Is Inventor that powerful?

Thank you! 

1 REPLY 1
Message 2 of 2
bhavik4244
in reply to: ben.jakeman

bhavik4244
Collaborator
Collaborator
Accepted solution

@ben.jakeman 

 

yes it's possible to do. however, you have to explicitely define your sequence of actions.

 

    Dim oTg As TransientGeometry = ThisApplication.TransientGeometry
    Dim doc As Document = ThisDoc.Document

    Dim ass As AssemblyDocument = ThisApplication.Documents.Add(DocumentTypeEnum.kAssemblyDocumentObject)
    ass.ComponentDefinition.Occurrences.Add(doc.FullFileName, oTg.CreateMatrix())

above is to add new assembly, simillarly you may add code to add componetns and constrain with Transient vector positions.

 

 

 

 

 


Bhavik Suthar
0 Likes

@ben.jakeman 

 

yes it's possible to do. however, you have to explicitely define your sequence of actions.

 

    Dim oTg As TransientGeometry = ThisApplication.TransientGeometry
    Dim doc As Document = ThisDoc.Document

    Dim ass As AssemblyDocument = ThisApplication.Documents.Add(DocumentTypeEnum.kAssemblyDocumentObject)
    ass.ComponentDefinition.Occurrences.Add(doc.FullFileName, oTg.CreateMatrix())

above is to add new assembly, simillarly you may add code to add componetns and constrain with Transient vector positions.

 

 

 

 

 


Bhavik Suthar

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report